import matplotlib.pyplot as plt
import numpy as np

def N10k7(p):
    return (p ** 7) * ((1 - p) ** 3)

p_values = np.arange(0.0, 1.0, 0.01)
p_post = N10k7(p_values)
plt.plot(p_values, p_post)
plt.yticks([])
plt.show()
