import matplotlib.pyplot as plt
import numpy as np
import scipy.stats

p_values = np.arange(0.0, 1.0, 0.01)
p0_values = scipy.stats.beta.pdf(p_values, 7+1, 3+1)
p1_values = scipy.stats.beta.pdf(p_values, 10+1, 10+1)
plt.plot(p_values, p0_values, label = 'Prior')
plt.plot(p_values, p1_values, label = 'Posterior')
plt.yticks([])
plt.xlabel('p', fontsize = 16)
plt.legend()
plt.show()
